System-Maintenance(1)

NAME
System-Maintenance - performs system maintenance tasks

SYNOPSIS
System-Maintenance [-k | - -interactive-kernel-removal]
System-Maintenance [-h | - -help]
System-Maintenance [-v | - -version]

DESCRIPTION
System-Maintenance runs some system maintenance tasks to keep the system clean and up to date. These tasks are:
•   Ensuring that all packages are configured
•   Updating the package repositories
•   Removing obsolete kernels
•   Installing all available package updates
•   Auto-removing unused packages
•   Updating package and file search caches
•   Updating firmware
•   Trimming SSDs and virtual storage

ARGUMENTS
The following options are available:

-k | - -interactive-kernel-removal
    Remove obsolete kernels interactively.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The System-Maintenance tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

sudo System-Maintenance

sudo System-Maintenance --interactive-kernel-removal

System-Maintenance --version

System-Maintenance --help

SEE ALSO
Fingerprint-SSH-Keys(1), Reset-Machine-ID(1), System-Info(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh